]> arthur.barton.de Git - bup.git/blobdiff - cmd/mux-cmd.py
fsck: only specify -t1 when par2 appears to support it
[bup.git] / cmd / mux-cmd.py
index b70c0a8eeaa538c3ca1026afe1753e756d6257dd..3b5524415e5f916bfd03b846494cfc8bccc3ed69 100755 (executable)
@@ -1,7 +1,16 @@
-#!/usr/bin/env python
+#!/bin/sh
+"""": # -*-python-*-
+bup_python="$(dirname "$0")/bup-python" || exit $?
+exec "$bup_python" "$0" ${1+"$@"}
+"""
+# end of bup preamble
+
+from __future__ import absolute_import
 import os, sys, subprocess, struct
+
 from bup import options
-from bup.helpers import *
+from bup.helpers import debug1, debug2, mux
+
 
 # Give the subcommand exclusive access to stdin.
 orig_stdin = os.dup(0)